×

Discussion Board

Results 1 to 15 of 20

Hybrid View

  1. #1
    Registered User
    Join Date
    Sep 2008
    Posts
    21

    Any expectation for Python 2.5+ support in PyS60?

    Hi All,
    I am new to the forum and relatively new to pys60.

    I am trying to port an application I wrote from Maemo to s60.
    Apparently my code uses some lines and libraries that need python 2.5 modules and can't run on the current s60 version.

    I found an old post from last year about "eventually" upgrading pys60 to a newer python base, but no time estimation since then.

    I have to make a decision whether to re-write my code practically from scratch, or hold on until a newer pys60 version is available.

    Is there some approximation on when if at all such an upgrade is expected? (even at the level of 1 month, 1 year, 10 years...)

    Thanks!
    Nadav

  2. #2
    Nokia Developer Champion
    Join Date
    Feb 2008
    Location
    Ahmedabad, Gujarat, India
    Posts
    3,852

    Re: Any expectation for Python 2.5+ support in PyS60?

    hi nadav
    welcome to the forum nokia pys60 developers community.
    There is no particular time when the upgradation will be announced. If you are in a hurry then start your application from the scratch.
    I feel more light can be thrown on this topic by any forum nokia expert.

    Enjoy Pythoning
    Gaba88

  3. #3
    Nokia Developer Moderator
    Join Date
    May 2007
    Location
    21.46 N 72.11 E
    Posts
    3,796

    Thumbs up Re: Any expectation for Python 2.5+ support in PyS60?

    Quote Originally Posted by nadavaha View Post

    Is there some approximation on when if at all such an upgrade is expected? (even at the level of 1 month, 1 year, 10 years...)
    No public approximation available yet !

    And I can't say much because I am bounded by some limits

    But, Hope for the Best , Nokia has always given PyS60 what it wants

    Best Regards,
    Croozeus
    Pankaj Nathani
    www.croozeus.com

  4. #4
    Super Contributor
    Join Date
    Mar 2003
    Location
    Espoo, Finland
    Posts
    976

    Re: Any expectation for Python 2.5+ support in PyS60?

    Quote Originally Posted by nadavaha View Post
    I am trying to port an application I wrote from Maemo to s60.
    So you mean that PyS60 apps might run in Maemo, too? With some changes? Guess I will have to check Hildon API? Never thought S90 legacy would live this long

    Quote Originally Posted by nadavaha View Post
    Is there some approximation on when if at all such an upgrade is expected? (even at the level of 1 month, 1 year, 10 years...)
    When looking back, it seems like PyS60 updates are released about 4 times a year. Since version 1.4.4 was released 27 June 2008, I'm guessing that next release might be close to end of this month? No idea about content.

    Just guessing,

    --jouni

  5. #5
    Nokia Developer Moderator
    Join Date
    May 2007
    Location
    21.46 N 72.11 E
    Posts
    3,796

    Thumbs up Re: Any expectation for Python 2.5+ support in PyS60?

    Hi Jouni,

    Quote Originally Posted by JOM View Post
    So you mean that PyS60 apps might run in Maemo, too? With some changes? Guess I will have to check Hildon API? Never thought S90 legacy would live this long
    Yes, you can develop Python Applications with Maemo - PyMaemo

    Check out GTK and Hildon APIs !

    May be some games for Maemo devices would be great !

    Best Regards,
    Croozeus
    Pankaj Nathani
    www.croozeus.com

  6. #6
    Nokia Developer Champion
    Join Date
    Feb 2008
    Location
    Ahmedabad, Gujarat, India
    Posts
    3,852

    Re: Any expectation for Python 2.5+ support in PyS60?

    Quote Originally Posted by JOM View Post
    So you mean that PyS60 apps might run in Maemo, too? With some changes? Guess I will have to check Hildon API? Never thought S90 legacy would live this long
    Hi Jouni
    yes you can do that and also can port the applications from each of the platforms.
    I tried a few when i got my N810 but they were very simple ones.
    You can have a go through http://www.maemo.org for more details.

    Enjoy Pythoning
    Gaba88

  7. #7
    Registered User
    Join Date
    Jul 2008
    Location
    Bhavnagar (India)
    Posts
    112

    Re: Any expectation for Python 2.5+ support in PyS60?

    So you mean that PyS60 apps might run in Maemo, too? With some changes? Guess I will have to check Hildon API? Never thought S90 legacy would live this long
    hi JOM,

    have a look at this article for details for Developing Python Applications for maemo.
    - Chintan Umraliya

  8. #8
    Registered User
    Join Date
    Sep 2008
    Posts
    21

    Re: Any expectation for Python 2.5+ support in PyS60?

    Thanks Everyone!

    I'll go with bachelor #3 and wait a little bit more to see if anything new comes out on this issue. Thanks croozeus! (I hope your winks and smiles are more than just for livening up the comment...)

    Regarding maemo compatibility - yeah, usually the pure python code is very portable to nearly anything that runs python. I'm trying to use devices with weaker processors (e.g. N810) to make sure my code runs well (and then the same code can run on much more powerful devices, like laptop/desktop/etc.). Current form of pys60 broke this model..

    My personal approach for applications that need be ported to multiple platforms is as much as possible not to bind myself to specific libraries like hildon or even GTK, so for example my GUI is built using Flash/Flash Light which is already present on so many platforms. Just my 2 cents for the side discussion that spun up.

    Nadav

  9. #9
    Super Contributor
    Join Date
    Dec 2004
    Posts
    643

    Re: Any expectation for Python 2.5+ support in PyS60?

    The core passes almost all of the test suite already (<20 failures). Next we're porting ye olde 1.4.x modules.

    Patience. It's coming.

  10. #10
    Regular Contributor
    Join Date
    Jul 2007
    Location
    Eindhoven, the Netherlands
    Posts
    187

    Re: Any expectation for Python 2.5+ support in PyS60?

    Quote Originally Posted by jplauril View Post
    The core passes almost all of the test suite already (<20 failures). Next we're porting ye olde 1.4.x modules.

    Patience. It's coming.
    Great news! Keep up the good work!

    Mark.

  11. #11
    Nokia Developer Champion
    Join Date
    Feb 2008
    Location
    Ahmedabad, Gujarat, India
    Posts
    3,852

    Re: Any expectation for Python 2.5+ support in PyS60?

    Ya its really a very very great news cant wait to see the release.

    Enjoy pythoning
    Gaba88

  12. #12
    Registered User
    Join Date
    Feb 2005
    Location
    Belgium (Europe)
    Posts
    1,352

    Re: Any expectation for Python 2.5+ support in PyS60?

    Quote Originally Posted by jplauril View Post
    The core passes almost all of the test suite already (<20 failures). Next we're porting ye olde 1.4.x modules.

    Patience. It's coming.
    Very great news !
    So many people are expecting this
    Nice to hear you again
    What a pity you can't attend to 3rd PyS60 talk yesterday

    BR
    Cyke64
    pys60 1.4.5 and 2.0.0, pygame, PyS60 CE on E90 and 5800 !

    Find my pys60 extension modules on cyke64.googlepages.com

Similar Threads

  1. Technical Support Engineer, Mobile, London
    By mobile2004 in forum Symbian
    Replies: 0
    Last Post: 2004-11-05, 09:38
  2. Technical Support Engineer, Mobile, London
    By mobile2004 in forum Symbian
    Replies: 0
    Last Post: 2004-11-05, 09:33
  3. Replies: 0
    Last Post: 2004-08-25, 11:42
  4. Will Nokia support 100% MIDP 2.0???
    By gicio in forum Mobile Java Networking & Messaging & Security
    Replies: 5
    Last Post: 2003-08-18, 11:23
  5. Nokia 7650 support Bluetooth audo?
    By ovjo12 in forum Bluetooth Technology
    Replies: 5
    Last Post: 2003-07-17, 18:50

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×